//
//  RWLinkPanel.h
//  RWPluginUtilities
//
//  Created by Simon Taylor on 22/05/2005.
//  Copyright (c) 2005 Realmac Software. All rights reserved.
//
//  THIS IS A RAPIDWEAVER INTERNAL HEADER FILE AND THE INTERFACES
//  DESCRIBED HERE COULD CHANGE WITHOUT NOTICE 
//

#import <Cocoa/Cocoa.h>
#import <RWPluginUtilities/RWLink.h>

@protocol RWLinkPanelDelegate
- (void)panelCompletedWithLink:(RWLink*)link;
@end

@interface RWLinkPanel : NSObject {

	id _plugin;
	RWLink* _currentLink;
	id<RWLinkPanelDelegate> _delegate;
	BOOL isSheet:1;
	
	IBOutlet NSPanel *panel;
	IBOutlet NSTextField *titleField;
	IBOutlet NSTextField *urlField;
	IBOutlet NSTextField *relField;
	IBOutlet NSPopUpButton *schemePopUp;
	
}

- (void)presentPanelWithLink:(RWLink*)link parent:(NSWindow*)parent;

+ (RWLinkPanel*)panelWithDelegate:(id<RWLinkPanelDelegate>)delegate plugin:(id)plugin;

@end
