//
//  RWStrings.h
//  RWPluginUtilities
//
//  Created by Simon Taylor on 21/02/2005.
//  Copyright (c) 2005 Realmac Software. All rights reserved.
//
//  THIS IS A RAPIDWEAVER INTERNAL HEADER FILE AND THE INTERFACES
//  DESCRIBED HERE COULD CHANGE WITHOUT NOTICE 
//

#import <Cocoa/Cocoa.h>


@interface NSString (RWStringUtilities)
- (NSMutableString*)stripRepeatedPathSeparators;
- (BOOL)validWebFilename;
- (NSString*)convertToEntities;
- (NSString*)convertToNumericalReferences:(BOOL)everything;
- (NSString*)summarizeToSentences:(UInt32*)sentences;
- (NSString*)stringEscapedForHTMLElementText;
- (NSString*)stringEscapedForXMLElementText;
- (NSString*)stringEscapedForHTMLAttribute;
- (NSString*)stringEscapedForFilename;
- (NSString*)stringEscapedForInclusionInSingleQuotedPHPString;
- (NSData*)dataUsingHTMLEscapesWithCFStringEncoding:(CFStringEncoding)encoding;
- (NSData*)dataUsingHTMLEscapesWithNSStringEncoding:(NSStringEncoding)encoding;
@end

@interface NSMutableString (RWStringUtilities)
- (void)appendForwardSlash;
- (unsigned int)replaceOccurrencesOfString:(NSString *)target withString:(NSString *)replacement;
@end

@interface NSString (RWPathUtilities)
- (NSString*)resolveAliases;
- (OSStatus)pathToFSRef:(FSRef*)fsRef;
- (OSStatus)pathToFSSpec:(FSSpec*)spec;
- (NSMutableData*)aliasForPathRelativeTo:(NSString*)pathB;
@end

@interface NSString (MD5_Checksum)
- (NSData*)md5Checksum;
@end

@interface NSString (CRC_Checksum)
- (NSData*)crcChecksum;
@end

@interface NSMutableData (RWPathUtilities)
- (NSString*)resolveAliasRelativeTo:(NSString*)pathB withoutUI:(BOOL)flag;
@end

@interface NSAttributedString (Attachments)
- (NSArray*)attachments;
- (NSArray*)attachmentsForRange:(NSRange)maxRange;
- (unsigned) normaliseImageAttachments;
@end

@interface NSAttributedString (ParagraphStyle)
- (NSParagraphStyle*)paragraphStyle;
- (BOOL)hasInnerList;
@end
