//
//  RWTextAttachment.h
//  TextAttachments
//
//  Created by Simon Taylor on 25/07/2005.
//  Copyright 2005 Mako Technology. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSDictionary (RWTextAttachmentAttributes)
- (BOOL)flipVertically;
- (BOOL)flipHorizontally;
- (BOOL)lockRatios;
- (float)width;
- (float)originalWidth;
- (float)widthOrOriginalWidth;
- (float)height;
- (float)originalHeight;
- (float)heightOrOriginalHeight;
- (BOOL)square;
- (float)scale;
- (float)rotation;
- (BOOL)clip;
- (NSString*)altTag;
- (NSString*)fileName;
- (NSColor*)fillColour;
enum {
	kMediaAttachmentImageType = 1,
	kMediaAttachmentMovieType
};
- (int)mediaType;
- (BOOL)enableShadow;
- (float)shadowOffset;
- (float)shadowBlur;
- (NSColor*)shadowColour;
- (BOOL)enableBorder;
- (float)borderOffset;
- (float)borderBlur;
- (NSColor*)borderColour;
@end

@interface RWTextAttachment : NSTextAttachment {
	@private
	NSMutableDictionary* _attributes;
	NSImage* _image;
	NSData* _cachedImage;
}

- (NSImage*)image;
- (void)updateImage;

- (NSData*)cachedImage;
- (void)setCachedImage:(NSData*)cachedImage;
- (void)clearCachedImage;

- (void)setMediaType:(int)type;

- (NSMutableDictionary*)mediaAttributes;
- (BOOL)normalise;

@end
