/*
 
 Permission is hereby granted, free of charge, to any person obtaining a 
 copy of this software and associated documentation files (the "Software"), 
 to deal in the Software without restriction, including without limitation 
 the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 and/or sell copies of the Software, and to permit persons to whom the Software 
 is furnished to do so, subject to the following conditions:
 
 The above copyright notice and this permission notice shall be included in 
 all copies or substantial portions of the Software.
 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS 
 FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR 
 COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION 
 WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
 iMedia Browser Home Page: <http://imedia.karelia.com/>
 
 Please send fixes to <imedia@lists.karelia.com>  

*/

#import <Cocoa/Cocoa.h>
#import "iMediaBrowser.h"
#import "iMediaBrowserProtocol.h"

// Unified name constatns for native data in pasteboard
extern NSString *iMBNativePasteboardFlavor;
extern NSString *iMBControllerClassName;
extern NSString *iMBNativeDataArray;

@interface iMBAbstractController : NSObject <iMediaBrowser>
{
	IBOutlet NSView *oView;

	@private
		iMediaBrowser *myBrowser; //not retained
		NSTreeController *myController;
}

- (id)initWithPlaylistController:(NSTreeController *)ctrl;
- (NSTreeController *)controller;

- (void)setBrowser:(iMediaBrowser *)browser;
- (iMediaBrowser *)browser;

- (void)willActivate;

- (void)postSelectionChangeNotification:(NSArray *)selectedObjects;

- (IBAction)reloadMediaBrowser:(id)sender;

@end
